/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_ColorUnderlay_List  (Level 1 library routine)          */
/*                                                                           */
/* Author: Liliana Florea                                                    */
/*                                                                           */
/* Revision:    06 JUN 00   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   This procedure releases all memory space occupied by a list of records  */
/* loaded from a plain format landmarks file; returns NULL as the proper     */
/* new value for the destroyed list head pointer                             */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

colorunderlay_ptr NTL1_Destroy_ColorUnderlay_List (colorunderlay_ptr clist)
{
 colorunderlay_ptr current;                                                          

 while (clist != NULL) {
  current = clist; clist = clist -> next;
  if (current -> color_name != NULL) free (current -> color_name);
  free (current);  
 }
 return NULL;
}

