/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_StrList  (Level 1 library routine)                     */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    04 SEP 96   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a list of strings;      */
/* returns NULL as the proper new value for the head of the released list    */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

strlist_ptr NTL1_Destroy_StrList (strlist_ptr list)
{
 strlist_ptr current, old;

 current = list; while (current != NULL) {
  old = current; current = current -> next;
  if (old -> string != NULL) free (old -> string); free (old);
 }
 return NULL;
}

