/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_WinList  (Level 1 library routine)                     */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    20 MAR 97   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a list of records       */
/* loaded from a Wingender database file(s); returns NULL as the proper      */
/* new value for the destroyed list head pointer                             */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

win_ptr NTL1_Destroy_WinList (win_ptr win_list)
{
 win_ptr current;

 while (win_list != NULL) {
  current = win_list; win_list = win_list -> next;
  free (current);
 }
 return NULL;
}

