/*****************************************************************************/
/*                                                                           */
/* Unit: NTL1_Get_Annotations (Level 1 library routine)                      */
/*                                                                           */
/* Author:       Nikola Stojanovic                                           */
/*                                                                           */
/* Revision:     25 MAY 95  Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure creates the list of annotations along the beta-g_region of    */
/* human sequence; returns NULL if creation is done successfully, or error   */
/* indication otherwise                                                      */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ntl1.h"

/*****************************************************************************/
/*                                                                           */
/* Begin code section                                                        */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/*                                                                           */
/* Procedure: NTL1_Get_Annotations                                           */
/*                                                                           */

errind NTL1_Get_Annotations (annotation_ptr *annotation)
{
 annotation_ptr last;

 *annotation = NULL; last = NULL;

 *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));

 (*annotation) -> code = HS_CODE;
 (*annotation) -> start = 951; (*annotation) -> stop = 1234;
 (*annotation) -> base_text = NTL0_strsave ("HS4");
 (*annotation) -> symbol = '\0';
 (*annotation) -> next = NULL; last = (*annotation);

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = HS_CODE;
 last -> start = 4550; last -> stop = 4775;
 last -> base_text = NTL0_strsave ("HS3"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = HS_CODE;
 last -> start = 8486; last -> stop = 8860;
 last -> base_text = NTL0_strsave ("HS2"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = HS_CODE;
 last -> start = 12752; last -> stop = 13769;
 last -> base_text = NTL0_strsave ("HS1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 116;
 last -> stop = 431;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LALU_CODE;
 last -> start = 1968; last -> stop = 2258;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 5605; last -> stop = 5918;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 8019; last -> stop = 8314;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 10612; last -> stop = 10924;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 12912; last -> stop = 13066;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RL1_CODE;
 last -> start = 14836; last -> stop = 15071;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LALU_CODE;
 last -> start = 16918; last -> stop = 17218;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 17940; last -> stop = 18231;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 23118; last -> stop = 31136;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 32407; last -> stop = 32711;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 32986; last -> stop = 33101;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 37921; last -> stop = 38039;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 42695; last -> stop = 43274;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 44788; last -> stop = 45108;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LALU_CODE;
 last -> start = 50895; last -> stop = 51198;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 51976; last -> stop = 52276;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LL1_CODE;
 last -> start = 53222; last -> stop = 53540;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = LALU_CODE;
 last -> start = 65503; last -> stop = 65767;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RALU_CODE;
 last -> start = 66761; last -> stop = 67070;
 last -> base_text = NTL0_strsave ("Alu"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = RL1_CODE;
 last -> start = 67071; last -> stop = 73210;
 last -> base_text = NTL0_strsave ("L1"); last -> symbol = '\0';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 19486; last -> stop = 21080;
 last -> base_text = NULL; last -> symbol = 'e';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 34478; last -> stop = 36069;
 last -> base_text = NTL0_strsave ("G"); last -> symbol = 'g';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 39414; last -> stop = 40985;
 last -> base_text = NTL0_strsave ("A"); last -> symbol = 'g';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 45658; last -> stop = 47272;
 last -> base_text = NTL0_strsave ("y"); last -> symbol = 'h';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 54740; last -> stop = 56389;
 last -> base_text = NULL; last -> symbol = 'd';
 last -> next = NULL;

 if (last == NULL) {
  *annotation = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = *annotation;
 }
 else {
  last -> next = (annotation_ptr) NTL0_ckalloc (sizeof (Annotation_Struct));
  last = last -> next;
 }
 last -> code = GENE_CODE;
 last -> start = 62137; last -> stop = 63742;
 last -> base_text = NULL; last -> symbol = 'b';
 last -> next = NULL;

 return NULL;
}


